Subject: Re: [net-next PATCH v4 3/3] net: reserve ports for applications using fixed port numbers

From: Cong Wang <[email-masked]>
Date: Sat, 20 Feb 2010 16:00:46 +0800

Eric Dumazet wrote:
> Le jeudi 18 février 2010 à 00:13 +0800, Cong Wang a écrit :
> 
>> I don't think so, if you want to avoid race condition, you just need to
>> write the reserved ports before any networking application starts, IOW,
>> as early as possible during boot.
>>
> 
> Sure, but I was thinking retrieving the list of reserved port by a
> database query, using network :)
> 
> Anyway, I just feel your argument is not applicable.
> 
> Our kernel is capable of doing an intersection for us, we dont need
> to forbid user to mark a port as 'reserved' if this port is already
> blacklisted by another mechanism (for example, if this port is already
> in use)
> 

Oh, I see your points.

But this still could make people confused, like me. I think we'd better
document this.

Thanks.